import { Program } from "@coral-xyz/anchor";
import { PROGRAM_ID, IDL } from "./constants";
import { emissionDistributorResolvers } from "./resolvers";
export * from "./constants";
export * from "./pdas";
export * from "./instructions";
export * from "./resolvers";
export const DistributionKind = {
    FoundationComputeClient: { foundation: { 0: { computeClientOnboardingRewards: {} } } },
    FoundationUpgrade: { foundation: { 0: { upgradeRewards: {} } } },
    FoundationProper: { foundation: { 0: { proper: {} } } },
    NetworkNodeOperators: { network: { 0: { nodeOperators: {} } } },
    NetworkLiquidityPools: { network: { 0: { liquidityPools: {} } } },
    NetworkArtists: { network: { 0: { artists: {} } } }
};
export async function init(provider, programId = PROGRAM_ID, idl) {
    const resIdl = await (async () => {
        if (typeof idl === "boolean") {
            return IDL;
        }
        if (!idl) {
            return await Program.fetchIdl(programId, provider);
        }
        return idl;
    })();
    const emissionDistributor = new Program(resIdl, programId, provider, undefined, () => emissionDistributorResolvers);
    return emissionDistributor;
}
//# sourceMappingURL=index.js.map