import { PublicKey } from "@solana/web3.js";
import { PROGRAM_ID } from "./constants";
import * as anchor from "@coral-xyz/anchor";
export function emissionScheduleKey(rndrMint, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        anchor.utils.bytes.utf8.encode("emission_schedule"),
        rndrMint.toBuffer(),
    ], programId);
}
export function emissionScheduleReceiptKey(rndrMint, epochId, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        anchor.utils.bytes.utf8.encode("emission_schedule_receipt"),
        rndrMint.toBuffer(),
        new anchor.BN(epochId).toBuffer("le", 8)
    ], programId);
}
export function emissionDistributorKey(rndrMint, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        anchor.utils.bytes.utf8.encode("distributor"),
        rndrMint.toBuffer(),
    ], programId);
}
//# sourceMappingURL=pdas.js.map