import { EmissionDistributor } from "@render-foundation/idls/lib/types/emission_distributor";
import { Program } from "@coral-xyz/anchor";
import { DistributionKind } from "./index";
import { WindowCircuitBreakerConfig } from "@render-foundation/circuit-breaker-sdk";
import { PublicKey, TransactionInstruction } from "@solana/web3.js";
import { Mint } from "@solana/spl-token";
export declare const updateEmissionScheduleReceiptV0Ix: (program: Program<EmissionDistributor>, epochId: number, rndrMint: PublicKey, authority: PublicKey, args: {
    totalMinted?: number;
    totalBurnRewardsMinted?: number;
    totalUpgradeRewardsMinted?: number;
    epochStartedAt?: number;
    epochEndedAt?: number;
}) => Promise<TransactionInstruction>;
export declare const updateEmissionDistributorIx: (program: Program<EmissionDistributor>, rndrMint: PublicKey, args: {
    distributionEscrows?: {
        account: PublicKey;
        kind: (typeof DistributionKind)[keyof typeof DistributionKind];
        percent: number;
    }[];
    emissionSchedule?: PublicKey;
    manualMintAuthority?: PublicKey;
    authority?: PublicKey;
}, accts: {
    authority: PublicKey;
    payer?: PublicKey;
}) => Promise<TransactionInstruction>;
export declare const updateEmissionScheduleIx: (program: Program<EmissionDistributor>, rndrMint: PublicKey, args: {
    emissionSchedule?: {
        startUnixTime: number;
        emissionsPerEpoch: number;
    }[];
    epochDurationSecs?: number;
    currentEpochBeganAt?: number;
}, accts: {
    authority: PublicKey;
}) => Promise<TransactionInstruction>;
export declare const manualMintIx: (program: Program<EmissionDistributor>, rndrMint: Mint, recipientAta: PublicKey, authority: PublicKey, amount: number, circuitBreakerProgram?: PublicKey) => Promise<TransactionInstruction>;
export declare const distributeEmissionsIx: (program: Program<EmissionDistributor>, rndrMint: PublicKey, escrows: PublicKey[], accts?: {
    payer?: PublicKey;
}, circuitBreakerProgram?: PublicKey) => Promise<TransactionInstruction>;
export declare const initializeEmissionDistributorIx: (program: Program<EmissionDistributor>, rndrMint: Mint, args: {
    authority: PublicKey;
    manualEmissionAuthority?: PublicKey;
    distributionAccounts: {
        account: PublicKey;
        kind: (typeof DistributionKind)[keyof typeof DistributionKind];
        percent: number;
    }[];
    epochDurationSec: number;
    schedule: {
        startUnixTime: number;
        emissionsPerEpoch: number;
    }[];
    mintCircuitBreakerConfig: WindowCircuitBreakerConfig;
    currentEpochBeganAt: number;
    payer?: PublicKey;
}, circuitBreakerProgram?: PublicKey) => Promise<TransactionInstruction>;
//# sourceMappingURL=instructions.d.ts.map